#!/usr/bin/env bash

xorriso -osirrox on -indev debian-11.3.0-amd64-netinst.iso -extract / isofiles
sudo sed -i '/vesamenu.c32/d' isofiles/isolinux/isolinux.cfg
if [[ $(grep timeout_style isofiles/boot/grub/grub.cfg) == "" ]]; then
  sudo sed -i 's/insmod play/set timeout_style=hidden\nset timeout=0\nset default=1\n\ninsmod play/' isofiles/boot/grub/grub.cfg;
fi

chmod +w -R isofiles/install.amd/
gunzip isofiles/install.amd/initrd.gz
echo preseed.cfg | cpio -H newc -o -A -F isofiles/install.amd/initrd
gzip isofiles/install.amd/initrd
chmod -w -R isofiles/install.amd/

cd isofiles/
chmod a+w md5sum.txt
md5sum $(find -follow -type f) > md5sum.txt
chmod a-w md5sum.txt
cd ..

chmod a+w isofiles/isolinux/isolinux.bin
docker run --interactive --tty --rm --volume $(pwd):/root/unattended debian:buster /root/unattended/docker.sh
sudo rm -rf isofiles
